summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-07-24 13:45:27 +0200
committerManuel Rüger <mrueg@gentoo.org>2018-07-24 13:45:27 +0200
commitf04730142fb48799d42db5616618149cefa4f9de (patch)
treee27e5a28a3a13a6d80147a3d3c7c28e6bb541ff8
parentmedia-plugins/vdr-imonlcd: Bump to version 1.0.2 (diff)
downloadgentoo-f04730142fb48799d42db5616618149cefa4f9de.tar.gz
gentoo-f04730142fb48799d42db5616618149cefa4f9de.tar.bz2
gentoo-f04730142fb48799d42db5616618149cefa4f9de.zip
dev-util/hadolint: Version bump to 1.10.4
Package-Manager: Portage-2.3.43, Repoman-2.3.10
-rw-r--r--dev-util/hadolint/Manifest1
-rw-r--r--dev-util/hadolint/hadolint-1.10.4.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-util/hadolint/Manifest b/dev-util/hadolint/Manifest
index 66381b837d5..b8ad6551015 100644
--- a/dev-util/hadolint/Manifest
+++ b/dev-util/hadolint/Manifest
@@ -1,2 +1,3 @@
DIST hadolint-1.10.2.tar.gz 39009 BLAKE2B 84552ce978d6f53b6e2e769da402585777ce7ef5bd7b66cc538b4f22d73a54b0d07246c1d68b9628f9e2d17d9db2bb472e1902cf017f13344b9277b27658b652 SHA512 2104cb588bdb9620d6a5831ab0f38e6fbd45ab19ba6dbd38e6ced43995f2dd6509d7f9d0180d59a828bbe8de46738f7ff2f3ba9859d9ac4a04b1ba9015071fd9
+DIST hadolint-1.10.4.tar.gz 39126 BLAKE2B afec4a6308ac19d31207ad9cc89f3d75c24ae1bc7d09e89c9437863e117ffaf0041df7a110cb0264a4b76a67ff6c2901fdfb372a5ca7660a806f059db95cf572 SHA512 ca0dad6f64247a514b562cacd5744ba9b5ab87353144b8075bbcfbfbe8893228f08bd45b6c9885c2be1f3a3a12c4afbe4d8f6afa0031405b5958836a8b415021
DIST hadolint-1.7.4.tar.gz 35187 BLAKE2B e40892f739d7714f62b322d1d3bb6d5cb285e9e6f3bc9c35d21a8d0eef837f32966b6292ce3e20ff461e2775777b2bf6192676ab76d32a558a8242dfe12c697d SHA512 ad92d1f6a1efee2b853613ec078396847e7ee2c525d6069d3cf1708d1af229133eff35e0dee6f0680433a2c6781839beeda02f8cebb52e360c622e6b05ac5925
diff --git a/dev-util/hadolint/hadolint-1.10.4.ebuild b/dev-util/hadolint/hadolint-1.10.4.ebuild
new file mode 100644
index 00000000000..4c740b4d099
--- /dev/null
+++ b/dev-util/hadolint/hadolint-1.10.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# ebuild generated by hackport 0.5.5
+
+CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
+inherit haskell-cabal
+
+DESCRIPTION="Dockerfile Linter JavaScript API"
+HOMEPAGE="https://github.com/hadolint/hadolint"
+SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-haskell/aeson:=[profile?]
+ >=dev-haskell/gitrev-1.3.1:=[profile?]
+ >=dev-haskell/language-docker-6.0.4:=[profile?] <dev-haskell/language-docker-7:=[profile?]
+ >=dev-haskell/megaparsec-6.4:=[profile?]
+ dev-haskell/mtl:=[profile?]
+ >=dev-haskell/optparse-applicative-0.14.0:=[profile?]
+ >=dev-haskell/split-0.2:=[profile?]
+ dev-haskell/text:=[profile?]
+ dev-haskell/void:=[profile?]
+ dev-haskell/yaml:=[profile?]
+ >=dev-lang/ghc-8.0.2:=
+ >=dev-util/shellcheck-0.5.0:=[profile?]
+"
+DEPEND="${RDEPEND}
+ >=dev-haskell/cabal-1.24.2.0
+ test? ( dev-haskell/hspec
+ >=dev-haskell/hunit-1.2 )
+"
+
+src_prepare() {
+ default
+ sed -i -e "s/-static//" ${PN}.cabal || die
+}